Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0012643
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. OtherscriticalN/A2010-03-11 08:222010-03-13 00:00
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisiona84c5f2a0518
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0012643: api check build 131 fails

Description
http://builds.openbravo.com/job/erp_devel_int-module-integrity-test/131/console [^]


 [checkAPI] +++++++++++++++++++++++++++++++++++++++++++++++++++
 [checkAPI] Errors in API data validation
 [checkAPI] +++++++++++++++++++++++++++++++++++++++++++++++++++
 [checkAPI] Removed row from table AD_AUXILIARINPUT - ID: A8809D1BBF65445DA5DEE3150ABB521C
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00125442.50MP14 closedalostale When creating a new column if you select the table reference the reference search is not showed 

-  Notes
(0025229)
alostale (developer)
2010-03-11 08:25

Issue introduced by fixing 0012544, removed an unneeded auxiliary input which was used (incorrectly) in reference tab. This auxiliary input was added in mp12 and shouldn't be used by any module (note that auxiliary inputs are defined per window/tab, so it only could be used by a module adding a field to this tab).

My proposal is to allow this change.
(0025260)
pjuvara (reporter)
2010-03-12 08:25

Proposal accepted.

Please acknowledge exception and send out alert for API change.
(0025286)
hgbot (developer)
2010-03-12 12:17

Repository: erp/devel/api-checks
Changeset: a84c5f2a0518b67202b964014c96d3414d412cb5
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Mar 12 12:23:47 2010 +0100
URL: http://code.openbravo.com/erp/devel/api-checks/rev/a84c5f2a0518b67202b964014c96d3414d412cb5 [^]

fixed issue 012643: api check build 131 fails

---
M model/sourcedata/AD_AUXILIARINPUT.xml
---

- Issue History
Date Modified Username Field Change
2010-03-11 08:22 alostale New Issue
2010-03-11 08:22 alostale Assigned To => pjuvara
2010-03-11 08:23 alostale Relationship added related to 0012544
2010-03-11 08:25 alostale Note Added: 0025229
2010-03-12 08:25 pjuvara Status new => scheduled
2010-03-12 08:25 pjuvara Note Added: 0025260
2010-03-12 08:25 pjuvara Assigned To pjuvara => alostale
2010-03-12 08:25 pjuvara fix_in_branch => pi
2010-03-12 09:22 jpabloae Issue Monitored: jpabloae
2010-03-12 12:17 hgbot Checkin
2010-03-12 12:17 hgbot Note Added: 0025286
2010-03-12 12:17 hgbot Status scheduled => resolved
2010-03-12 12:17 hgbot Resolution open => fixed
2010-03-12 12:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/a84c5f2a0518b67202b964014c96d3414d412cb5 [^]
2010-03-12 12:20 alostale Status resolved => closed
2010-03-13 00:00 anonymous sf_bug_id 0 => 2969680


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker